fse.vo

## Class RepositoryDocumentURI

- java.lang.Object
- - fse.vo.RepositoryDocumentURI

-     public class RepositoryDocumentURI
      extends Object

  Contiene le informazioni per identificare univocamente un documento

  Java class for documentIdentifier complex type.

  The following schema fragment specifies the expected content contained within this class.

  Version:
    1.0
  Author:
    musceo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `documentID`
    `protected String` | `localNode`
    `protected String` | `regionalNode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryDocumentURI()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDocumentID()` Restituisce l'id locale del documento
    `String` | `getLocalNode()` Restituisce l'identificativo univoco del nodo locale (repository) che conserva il documento
    `String` | `getRegionalNode()` Restituisce l'identificativo univoco del nodo regionale cui il repository è legato
    `void` | `setDocumentID(String value)` Imposta l'id locale del documento.
    `void` | `setLocalNode(String value)` Imposta l'identificativo univoco del nodo locale (repository) che conserva il documento.
    `void` | `setRegionalNode(String value)` Imposta l'identificativo univoco del nodo regionale cui il repository è legato (coincide con il codice della regione secondo la codifica ISO 3166-2:IT).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### documentID

          protected String documentID

    - #### localNode

          protected String localNode

    - #### regionalNode

          protected String regionalNode

  - ### Constructor Detail

    - #### RepositoryDocumentURI

          public RepositoryDocumentURI()

  - ### Method Detail

    - #### getDocumentID

          public String getDocumentID()

      Restituisce l'id locale del documento
      Returns:
        l'id del documento

    - #### setDocumentID

          public void setDocumentID(String value)

      Imposta l'id locale del documento. Parametro obbligatorio.
      Parameters:
        `value` - l'id del documento

    - #### getLocalNode

          public String getLocalNode()

      Restituisce l'identificativo univoco del nodo locale (repository) che conserva il documento
      Returns:
        l'id del nodo locale

    - #### setLocalNode

          public void setLocalNode(String value)

      Imposta l'identificativo univoco del nodo locale (repository) che conserva il documento. Parametro obbligatorio.
      Parameters:
        `value` - l'id del nodo locale

    - #### getRegionalNode

          public String getRegionalNode()

      Restituisce l'identificativo univoco del nodo regionale cui il repository è legato
      Returns:
        l'id del nodo regionale

    - #### setRegionalNode

          public void setRegionalNode(String value)

      Imposta l'identificativo univoco del nodo regionale cui il repository è legato (coincide con il codice della regione secondo la codifica ISO 3166-2:IT). Parametro obbligatorio.
      Parameters:
        `value` - l'id del nodo regionale